Bug 246104 - devel/py-dateutil: Update to 2.8.1
Summary: devel/py-dateutil: Update to 2.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-01 19:43 UTC by Dan Langille
Modified: 2020-05-18 03:18 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
update to 2.8.1 (2.33 KB, patch)
2020-05-01 19:43 UTC, Dan Langille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille freebsd_committer 2020-05-01 19:43:23 UTC
Created attachment 214006 [details]
update to 2.8.1
Comment 1 Automation User 2020-05-16 00:12:42 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/146602029
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-05-18 02:37:37 UTC
make test fails with:

INTERNALERROR> _pytest.warning_types.PytestUnknownMarkWarning: Unknown pytest.mark.no_cover - is this a typo?  You can register custom marks to avoid this warning - for details, see https://docs.pytest.org/en/latest/mark.html
Comment 3 commit-hook freebsd_committer 2020-05-18 03:04:44 UTC
A commit references this bug:

Author: koobs
Date: Mon May 18 03:03:58 UTC 2020
New revision: 535708
URL: https://svnweb.freebsd.org/changeset/ports/535708

Log:
  devel/py-dateutil: Update to 2.8.1 [1]

    - Remove dateutil_test_test__tz patch, upstreamed [1]
    - Remove unecessary pytest-cov dependency
    - Add pytest -W exclusion preventing PytestUnknownMarkWarning: Unknown
      pytest.mark.no_cover error on test invocation.

  Changelog:

    https://dateutil.readthedocs.io/en/stable/changelog.html#version-2-8-1-2019-11-03

  PR:		246104
  Submitted by:	dvl [1]
  MFH:		2020Q2 (blanket: bugfix release)

Changes:
  head/devel/py-dateutil/Makefile
  head/devel/py-dateutil/distinfo
  head/devel/py-dateutil/files/
Comment 4 commit-hook freebsd_committer 2020-05-18 03:16:54 UTC
A commit references this bug:

Author: koobs
Date: Mon May 18 03:16:23 UTC 2020
New revision: 535711
URL: https://svnweb.freebsd.org/changeset/ports/535711

Log:
  MFH: r535708 devel/py-dateutil: Update to 2.8.1 [1]

    - Remove dateutil_test_test__tz patch, upstreamed [1]
    - Remove unecessary pytest-cov dependency
    - Add pytest -W exclusion preventing PytestUnknownMarkWarning: Unknown
      pytest.mark.no_cover error on test invocation.

  Changelog:

    https://dateutil.readthedocs.io/en/stable/changelog.html#version-2-8-1-2019-11-03

  PR:		246104
  Submitted by:	dvl [1]

  Approved by:	ports-secteam (blanket: bugfix release)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/devel/py-dateutil/Makefile
  branches/2020Q2/devel/py-dateutil/distinfo
  branches/2020Q2/devel/py-dateutil/files/
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-05-18 03:18:39 UTC
Committed and merged, thank you Dan